Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Compression_Algorithm Class Referenceabstract

`#include <compression.h>`

Inheritance diagram for Botan::Compression_Algorithm:

## Public Member Functions
virtual void | clear ()=0
virtual void | finish (secure_vector< uint8_t > &final_block, size_t offset=0)=0
virtual std::string | name () const =0
virtual void | start (size_t comp_level=0)=0
virtual void | update (secure_vector< uint8_t > &buf, size_t offset=0, bool flush=false)=0
virtual | ~Compression_Algorithm ()

## Detailed Description

Definition at line 19 of file compression.h.

## Constructor & Destructor Documentation

virtual Botan::Compression_Algorithm::~Compression_Algorithm | ( |  | ) |
| inline virtual

Definition at line 59 of file compression.h.

59 {}

## Member Function Documentation

virtual void Botan::Compression_Algorithm::clear | ( |  | ) |
| pure virtual

Reset the state and abort the current message; start can be called again to process a new message.

Implemented in Botan::Stream_Compression.

virtual void Botan::Compression_Algorithm::finish | ( | secure_vector< uint8_t > & | final_block,
|  | size_t | offset = `0`
| ) |  |
| pure virtual

Finish compressing

Parameters

  final_block | in/out parameter
  offset | an offset into final_block to begin processing

Implemented in Botan::Stream_Compression.

virtual std::string Botan::Compression_Algorithm::name | ( |  | ) | const
| pure virtual

Returns
  name of the compression algorithm

Implemented in Botan::Gzip_Compression, Botan::Deflate_Compression, Botan::LZMA_Compression, Botan::Bzip2_Compression, and Botan::Zlib_Compression.

virtual void Botan::Compression_Algorithm::start | ( | size_t | comp_level = `0` | ) |
| pure virtual

Begin compressing. Most compression algorithms offer a tunable time/compression tradeoff parameter generally represented by an integer in the range of 1 to 9.

If 0 or a value out of range is provided, a compression algorithm specific default is used.

virtual void Botan::Compression_Algorithm::update | ( | secure_vector< uint8_t > & | buf,
|  | size_t | offset = `0`,
|  | bool | flush = `false`
| ) |  |
| pure virtual

Process some data. Input must be in size update_granularity() uint8_t blocks.

Parameters

  buf | in/out parameter which will possibly be resized or swapped
  offset | an offset into blocks to begin processing
  flush | if true the compressor will be told to flush state

Implemented in Botan::Stream_Compression.

The documentation for this class was generated from the following file:

- src/lib/compression/compression.h